Bug 90672 - FILEOPEN : table cell border color is not exported.
Summary: FILEOPEN : table cell border color is not exported.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Yogesh Bharate
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-17 09:37 UTC by Yogesh Bharate
Modified: 2016-02-10 22:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Table cell Border Color (32.49 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-04-17 09:37 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-04-17 09:37:53 UTC
Created attachment 114851 [details]
Table cell Border Color

Problem Description :
Table cell border color is not exported i.e cell border line color is not preserved after roundtrip.

XML Difference:
In Original File :
-<a:lnL> 
   <a:solidFill>
       <a:srgbClr val="00B0F0"/>
   </a:solidFill>
</a:lnL>


In Roundtrip File:
-<a:lnL> 
</a:lnL>
Comment 1 A (Andy) 2015-04-17 20:29:50 UTC
Reproducible with LO 4.4.1.2, Win 8.1

Furthermore, in LO 4.4 the background colour is changed to blue (already reported: see Bug 80340) and when trying to open it in MSO it shows an error message.
Comment 2 Commit Notification 2015-05-09 19:59:39 UTC
yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d74795e6e777cef0b1df64a56ea886208c87bc0

tdf#90672: PPTX table cell border color is not exported.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Timur 2015-05-11 16:41:29 UTC
Tested with libo-master~2015-05-10_23.05.48_LibreOfficeDev_5.0.0.0.alpha1_Win_x86, looks like working fine. 
I set version as 3.3.0. There were some changes, but seems that border saving was never fine. 
Please backport to 4.4.
Comment 4 Joel Madero 2016-02-10 22:40:48 UTC
4.4 EOL - removing request.